> For the complete documentation index, see [llms.txt](https://swarmnexus.gitbook.io/swarmnexus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://swarmnexus.gitbook.io/swarmnexus/api-reference/readme/get-mentions.md).

# Get mentions

## Get Mentions

This endpoint is the primary way to retrieve ingested tweets (mentions) from the Swarm Memory. It offers powerful filtering and pagination capabilities.

`GET /memory/mentions`

#### Query Parameters

| Parameter | Type   | Description                                                                                                  |
| --------- | ------ | ------------------------------------------------------------------------------------------------------------ |
| `limit`   | Int    | The maximum number of items to return. **Default: 200**, Max: 1000.                                          |
| `since`   | String | An ISO 8601 date string. Returns mentions created at or after this time. (e.g., `2024-01-01T00:00:00Z`)      |
| `until`   | String | An ISO 8601 date string. Returns mentions created at or before this time.                                    |
| `author`  | String | The Twitter handle of the author who created the mention (e.g., `zippy_og`).                                 |
| `ticker`  | String | Filter mentions that contain a specific ticker symbol. The `$` prefix is optional (e.g., `$MEGA` or `MEGA`). |
| `q`       | String | A string for full-text search. It searches the content of both the mention and its parent tweet.             |

#### Example Request

This example fetches the 5 most recent mentions that contain the ticker `$MEGA`.

```bash
curl "https://swarm-nexus.xyz/agent/memory/mentions?limit=5&ticker=%24MEGA"
```

#### Example Response

```json
{
  "items": [
    {
      "type": "mention.v1",
      "id": "1732911852156825833",
      "tweetUrl": "https://twitter.com/some_user/status/1732911852156825833",
      "tweetCreatedAt": "2023-12-07T23:40:00.000Z",
      "author": {
        "handle": "some_user",
        "id": "123456789"
      },
      "text": "I think $MEGA is going to be huge this quarter. @SwarmNexus",
      "asset": "MEGA",
      "targetDate": null,
      "status": "active",
      "parent": {
        "tweetId": "1732911000000000000",
        "tweetUrl": "https://twitter.com/main_thread/status/1732911000000000000",
        "authorHandle": "main_thread",
        "text": "What are your top picks for this month?",
        "createdAt": "2023-12-07T23:36:00.000Z"
      },
      "tickers": [
        "MEGA"
      ],
      "ingestedAt": "2023-12-07T23:41:05.000Z",
      "source": "x/search"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://swarmnexus.gitbook.io/swarmnexus/api-reference/readme/get-mentions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
